<?php
/**
 * @category   Alogic
 * @package    Alogic_Downloadcatalogue
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Downloadcatalogue\Block;

use Alogic\Downloadcatalogue\Model\DownloadcatalogueFactory;
use Magento\Cms\Model\Template\FilterProvider;
use Magento\Framework\View\Element\Template\Context;

/**
 * Downloadcatalogue View block
 */
class DownloadcatalogueView extends \Magento\Framework\View\Element\Template {
	/**
	 * @var Downloadcatalogue
	 */
	protected $_downloadcatalogue;
	public function __construct(
		Context $context,
		DownloadcatalogueFactory $downloadcatalogue,
		FilterProvider $filterProvider
	) {
		$this->_downloadcatalogue = $downloadcatalogue;
		$this->_filterProvider = $filterProvider;
		parent::__construct($context);
	}

	public function _prepareLayout() {
		$this->pageConfig->getTitle()->set(__('Alogic Download Catalogue'));

		return parent::_prepareLayout();
	}

	public function getSingleData() {
		$id = $this->getRequest()->getParam('id');
		$downloadcatalogue = $this->_downloadcatalogue->create();
		$singleData = $downloadcatalogue->load($id);
		if ($singleData->getDownloadcatalogueId() || $singleData['downloadcatalogue_id'] && $singleData->getStatus() == 1) {
			return $singleData;
		} else {
			return false;
		}
	}
}